/**
 * @license
 * Copyright Meepo Inc. All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file at http://meepo.com.cn/license
 */
(function (global, factory) {
	typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/core')) :
	typeof define === 'function' && define.amd ? define(['exports', '@angular/core'], factory) :
	(factory((global.ng = global.ng || {}, global.ng.error = global.ng.error || {}),global.ng.core));
}(this, (function (exports,_angular_core) { 'use strict';

var MyErrorHandler = (function () {
    function MyErrorHandler() {
    }
    /**
     * @param {?} error
     * @return {?}
     */
    MyErrorHandler.prototype.handleError = function (error) {
        console.dir(error);
        return true;
    };
    return MyErrorHandler;
}());
var ErrorModule = (function () {
    function ErrorModule() {
    }
    return ErrorModule;
}());
ErrorModule.decorators = [
    { type: _angular_core.NgModule, args: [{
                providers: [
                    { provide: _angular_core.ErrorHandler, useClass: MyErrorHandler }
                ],
            },] },
];
/**
 * @nocollapse
 */
ErrorModule.ctorParameters = function () { return []; };

exports.ErrorModule = ErrorModule;
exports.ɵa = MyErrorHandler;

Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=error.umd.js.map
